Skip to navigation

By ID

Retrieves an active or archived rate sheet owned by the caller’s organization. | authz: allowed_org_types=[provider], min_org_role=operator | () -> (RateSheet1)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

rate_sheet_idstringRequired

Response

Successful Response
_idstring
created_at_timestampstringformat: "date-time"
created_by_user_idstring

Must be a string starting with user_

currency_codeenum
invoice_typeenum
Allowed values:
last_edited_at_timestampstringformat: "date-time"
last_edited_by_user_idstring

Must be a string starting with user_

namestringformat: "\S"1-255 characters
owned_by_org_idstring

Must be a string starting with org_

ruleslist of objects
schema_versioninteger
task_group_typeenum
Allowed values:
applies_to_service_lineslist of enumsOptional
Allowed values:
archived_at_timestampstring or nullOptionalformat: "date-time"
archived_by_user_idstring or nullOptional
counterparty_driver_idstring or nullOptional
counterparty_off_chrt_org_data_idstring or nullOptional
counterparty_org_idstring or nullOptional
effective_ends_at_timestampstring or nullOptionalformat: "date-time"
effective_starts_at_timestampstring or nullOptionalformat: "date-time"
effective_time_zone_namestringOptionalDefaults to UTC

IANA time zone name (e.g. America/New_York).

revisionintegerOptional>=1Defaults to 1

Errors

422
Unprocessable Entity Error